Appearance
Get trade history
GET
/v1/marketdata/{currencyPair}/tradehistory
Get the trade history for a given currency pair. The results of this request may be filtered by datetime. The skip and limit parameters may be applied to paginate the filtered results. The startTime or endTime parameters may be used to filter the returned items by the trade date. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2020-02-29T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, trades that have occurred since startTime are returned. When endTime is used, trades that have occurred up to and including endTime are returned. Trade history may be paginated by supplying a trade ID in the beforeId parameter. Only trades which occurred before the given ID will be included in the result. This allows backwards traversal of trade history by increments of limit. NOTE: The startTime and endTime parameters are optional filters. However, omitting these parameters may result in slower response times. To mitigate this, a default time window such as the most recent 30 days may be automatically applied to the request.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
currencyPair*
Specify the currency pair for which you want to query the trade history
Type
Requiredstring
Query Parameters
skip
Skip this number of results. Default: 0
Type
integer
Format
"int32"limit
Limit the results to this number. Default and Max: 100
Type
integer
Format
"int32"startTime
Include only trades after this ISO 8601 start time
Type
string
endTime
Include only trades before this ISO 8601 end time
Type
string
beforeId
Only include trades before this trade ID. Use for backwards pagination.
Type
string
Responses
Trade history retrieved successfully
application/json
JSON
[
{
"price": "118000",
"quantity": "0.00058147",
"currencyPair": "BTCUSDC",
"tradedAt": "2025-08-04T12:38:10.282Z",
"takerSide": "buy",
"sequenceId": 1368928567986639400,
"id": "01987516-e06a-756c-825d-82ada5ded56c",
"quoteVolume": "68.61346"
},
{
"price": "118000",
"quantity": "0.00000847",
"currencyPair": "BTCUSDC",
"tradedAt": "2025-07-31T12:04:27.246Z",
"takerSide": "buy",
"sequenceId": 1368928567986639400,
"id": "0198605e-91ee-7219-9f45-bdced9b23219",
"quoteVolume": "0.99946"
}
]